package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWF3C2RWSAddresses {

    private Map<String, Object> params;
    
    public MWF3C2RWSAddresses(Map<String, Object> params) {
        this.params = params;
    }

    public String rsNote() {
        return (String) params.get("RS_NOTE");
    }

    public String rsStreetnumber() {
        return (String) params.get("RS_STREETNUMBER");
    }

    public String rsLandregistrynumber() {
        return (String) params.get("RS_LANDREGISTRYNUMBER");
    }

    public String rsCitydistrict() {
        return (String) params.get("RS_CITYDISTRICT");
    }

    public String rsAddresspurpose() {
        return (String) params.get("RS_ADDRESSPURPOSE");
    }

    public String rsPost() {
        return (String) params.get("RS_POST");
    }

    public String rsZip() {
        return (String) params.get("RS_ZIP");
    }

    public String rsCountry() {
        return (String) params.get("RS_COUNTRY");
    }

    public String rsCity() {
        return (String) params.get("RS_CITY");
    }

    public String rsStreet() {
        return (String) params.get("RS_STREET");
    }

    public java.util.Date rsAddresssince() {
        return (java.util.Date) params.get("RS_ADDRESSSINCE");
    } 

}
